Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.gjt.sp.jedit.bufferset
Enum BufferSet.Scope

    java.lang.Object
      java.lang.Enum<BufferSet.Scope>
          org.gjt.sp.jedit.bufferset.BufferSet.Scope

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<BufferSet.Scope>

Enclosing class:
  BufferSet

    public static enum BufferSet.Scope

extends java.lang.Enum<BufferSet.Scope>

Enum Constant Summary
`editpane`
`global`
`view`

Method Summary
`static BufferSet.Scope` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static BufferSet.Scope[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### editpane

    public static final BufferSet.Scope editpane

### view

    public static final BufferSet.Scope view

### global

    public static final BufferSet.Scope global

Method Detail

### values

    public static BufferSet.Scope[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (BufferSet.Scope c : BufferSet.Scope.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static BufferSet.Scope valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD